java.lang.RuntimeException: Unable to start activity ComponentInfo{com.example.android.app/com.example.android.app.MainActivity}: java.lang.IllegalStateException: You need to use a Theme.AppCompat theme (or descendant) with this activity.

Stack Overflow | Yik Jin | 8 months ago
tip
Your exception is missing from the Samebug knowledge base.
Here are the best solutions we found on the Internet.
Click on the to mark the helpful solution and get rewards for you help.
  1. 0

    Android giving me a lot of errors after updating some SDK tools

    Stack Overflow | 8 months ago | Yik Jin
    java.lang.RuntimeException: Unable to start activity ComponentInfo{com.example.android.app/com.example.android.app.MainActivity}: java.lang.IllegalStateException: You need to use a Theme.AppCompat theme (or descendant) with this activity.
  2. 0

    You need to use a Theme.AppCompat theme (or descendant) with this activity.

    GitHub | 10 months ago | pandaApe
    java.lang.RuntimeException: Unable to start activity ComponentInfo{com.codetroopers.betterpickersapp/com.codetroopers.betterpickers.sample.ListSamples}: java.lang.IllegalStateException: You need to use a Theme.AppCompat theme (or descendant) with this activity.
  3. 0

    Error AppCompat does not support the current theme features

    GitHub | 7 months ago | iqbalprabu14
    java.lang.RuntimeException: Unable to start activity ComponentInfo{com.rspmibogor.reseravasi/com.rspmibogor.reseravasi.DashboardActivity}: java.lang.IllegalStateException: You need to use a Theme.AppCompat theme (or descendant) with this activity.
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Error:-java.lang.IllegalStateException: You need to use a Theme.AppCompat theme (or descendant) with this activity

    Stack Overflow | 8 months ago | Nupur Bhagat
    java.lang.RuntimeException: Unable to start activity ComponentInfo{com.example.nupur.kezin_king/com.example.nupur.kezin_king.MainActivity}: java.lang.IllegalStateException: You need to use a Theme.AppCompat theme (or descendant) with this activity.
  6. 0

    You need to use a Theme.AppCompat theme (or descendant) with this activity error

    Stack Overflow | 8 months ago | Ahmed Mujtaba
    java.lang.IllegalStateException: You need to use a Theme.AppCompat theme (or descendant) with this activity.

  1. Indri Yunita 1 times, last 1 month ago
  2. filpgame 3 times, last 1 month ago
  3. Alexandru Popa 10 times, last 4 months ago
  4. Benny 10 times, last 8 months ago
  5. danleyb2Interintel 4 times, last 9 months ago
3 more registered users
1 unregistered visitors
Not finding the right solution?
Take a tour to get the most out of Samebug.

Tired of useless tips?

Automated exception search integrated into your IDE

Root Cause Analysis

  1. java.lang.IllegalStateException

    You need to use a Theme.AppCompat theme (or descendant) with this activity.

    at android.support.v7.app.AppCompatDelegateImplV7.createSubDecor()
  2. Android v7
    AppCompatActivity.setContentView
    1. android.support.v7.app.AppCompatDelegateImplV7.createSubDecor(AppCompatDelegateImplV7.java:343)
    2. android.support.v7.app.AppCompatDelegateImplV7.ensureSubDecor(AppCompatDelegateImplV7.java:312)
    3. android.support.v7.app.AppCompatDelegateImplV7.setContentView(AppCompatDelegateImplV7.java:277)
    4. android.support.v7.app.AppCompatActivity.setContentView(AppCompatActivity.java:140)
    4 frames
  3. com.example.android
    MainActivity.onCreate
    1. com.example.android.app.MainActivity.onCreate(MainActivity.java:70)
    1 frame
  4. Android Platform
    ActivityThread.performLaunchActivity
    1. android.app.Activity.performCreate(Activity.java:6550)
    2. android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1120)
    3. android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3102)
    3 frames